Skip to main content
GET
/
audience
/
list
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "page": "1",
    "limit": "10"
}

response = client.audience.list(**payload)
print(response)
{
  "audience_list": [
    {
      "id": "597b3dde-9169-4017-800d-f97a5fabebe3",
      "name": "Demo Audience",
      "description": "Leads from webinar",
      "contactCount": 1,
      "createdAt": "2026-05-05"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
Example:

1

limit
integer
default:10

Records per page

Required range: 1 <= x <= 100
Example:

10

Response

Audiences returned

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.